Skip to content

Bulk Create Deal

Request

Bulk Create Deal endpoint is /deals/v1.0/bulk_create/deals

Headers
Authorizationstring

Authorization

Default:"Bearer $TOKEN"
Bodyapplication/json
{
  "data": [
    {
      "updated_on": "2021-06-09T14:29:27+00:00",
      "created_on": "2021-04-12T13:22:35+00:00",
      "id": 422839,
      "name": "UIA_Inventory_Test",
      "description": null,
      "supply_source_id": 159,
      "sub_supply_source_id": null,
      "deal_identifier": "2718951",
      "start_datetime": "2021-04-12T13:22:15+00:00",
      "end_datetime": "2999-12-31T05:00:00+00:00",
      "price_type": "FIXED",
      "price_method": "CPM",
      "status": true,
      "bill_type": "EXCHANGE",
      "deal_type": "STANDARD",
      "impressions": null,
      "channels": [],
      "publisher_id": null,
      "organization_id": 100048,
      "permissions": {
        "all_organizations": false,
        "organization_ids": [
          100048
        ],
        "agency_ids": [],
        "advertiser_ids": []
      },
      "owner": {
        "type": "ORGANIZATION",
        "id": 100048
      },
      "price": {
        "value": "0.0073",
        "currency_code": "USD"
      },
      "entity_type": "deal",
      "deal_groups": [],
      "strategies_count": 0
    },
    {
      "updated_on": "2018-03-01T21:43:46+00:00",
      "created_on": "2017-04-10T06:31:51+00:00",
      "id": 177130,
      "name": "pmp test",
      "description": "",
      "supply_source_id": 218,
      "sub_supply_source_id": null,
      "deal_identifier": "MM2-8G3-K3D4",
      "start_datetime": "2017-04-10T07:31:28+00:00",
      "end_datetime": "2999-12-31T00:00:00+00:00",
      "price_type": "FLOOR",
      "price_method": "CPM",
      "status": true,
      "bill_type": "EXCHANGE",
      "deal_type": "STANDARD",
      "impressions": null,
      "channels": null,
      "publisher_id": null,
      "organization_id": 100048,
      "permissions": {
        "all_organizations": false,
        "organization_ids": [],
        "agency_ids": [],
        "advertiser_ids": [
          176789
        ]
      },
      "owner": {
        "type": "ADVERTISER",
        "id": 176789
      },
      "price": {
        "value": "8.0000",
        "currency_code": "USD"
      },
      "entity_type": "deal",
      "deal_groups": [],
      "strategies_count": 0
    }
  ]
}
object
curl -i -X POST \
  https://api.mediamath.com/deals/v1.0/bulk_create/deals \
  -H 'Authorization: Bearer $TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

{
    "data": {
        "created_deals": [
            {
                "updated_on": "2021-07-08T13:57:26+00:00",
                "created_on": "2021-07-08T13:57:26+00:00",
                "id": 429599,
                "name": "hello",
                "description": "hello",
                "supply_source_id": 246,
                "sub_supply_source_id": null,
                "deal_identifier": "hello",
                "start_datetime": "2020-12-31T05:00:00+00:00",
                "end_datetime": "2999-12-31T05:00:00+00:00",
                "price_type": "FLOOR",
                "price_method": "CPM",
                "status": false,
                "bill_type": "EXCHANGE",
                "deal_type": "STANDARD",
                "impressions": 22,
                "channels": [
                    {
                        "id": 1,
                        "name": "Display",
                        "pos": 1,
                        "created_on": "2020-07-20T11:13:55.015407+00:00",
                        "updated_on": "2020-07-20T11:13:55.015407+00:00"
                    },
                    {
                        "id": 2,
                        "name": "Mobile Web",
                        "pos": 2,
                        "created_on": "2020-07-20T11:13:55.015407+00:00",
                        "updated_on": "2020-07-20T11:13:55.015407+00:00"
                    }
                ],
                "publisher_id": null,
                "organization_id": 100315,
                "permissions": {
                    "all_organizations": false,
                    "organization_ids": [
                        100315
                    ],
                    "agency_ids": [],
                    "advertiser_ids": []
                },
                "owner": {
                    "type": "ORGANIZATION",
                    "id": 100315
                },
                "price": {
                    "value": "1.3000",
                    "currency_code": "EUR"
                },
                "entity_type": "deal",
                "deal_groups": [],
                "strategies_count": 0
            }
        ],
        "invalid_deals": []
    },
    "meta": {
        "status": "ok"
    }
}
Bodyapplication/json
dataobject
metaobject
Response
{ "data": { "bill_type": "EXCHANGE", "channels": [ … ], "created_on": "2019-08-24T14:15:22Z", "deal_identifier": "string", "deal_type": "PG", "description": "string", "end_datetime": "2019-08-24T14:15:22Z", "entity_type": "deal", "id": 0, "name": "string", "owner": { … }, "permissions": { … }, "price": { … }, "price_method": "CPM", "price_type": "FIXED", "start_datetime": "2019-08-24T14:15:22Z", "status": true, "sub_supply_source_id": 0, "supply_source_id": 0, "supply_source": { … }, "publisher_id": 0, "publisher": { … }, "strategies_count": 0, "organization_id": 0, "impressions": 0, "effective_status": "ready", "severity": 0, "deal_groups": [ … ], "updated_on": "2019-08-24T14:15:22Z" }, "meta": { "status": "string" } }